package com.schisandra.system.domain.service;

import com.schisandra.system.domain.bo.SchisandraSysOauthBO;



/**
 *  领域service
 *
 * @author landaiqing
 * @since 2024-05-25 23:08:26
 */
public interface SchisandraSysOauthDomainService {

    /**
     * 添加  信息
     */
    Boolean add(SchisandraSysOauthBO schisandraSysOauthBO);

    /**
     * 更新  信息
     */
    Boolean update(SchisandraSysOauthBO schisandraSysOauthBO);

    /**
     * 删除  信息
     */
    Boolean delete(SchisandraSysOauthBO schisandraSysOauthBO);

    SchisandraSysOauthBO getOauthConfigByType(String type);
}
